<ion-header>
  <ion-navbar>
    <ion-row>
      <ion-col col-9 style="padding-top:5px;">
        <span class="business_name_at_dashboard">{{translate.billDetailsPage[0][translate.selectedlanguage]}}</span>
      </ion-col>
      <ion-col col-3>
        <ion-title text-right>
          <span class="edit_save" (click)="save()"><ion-icon ios="ios-checkbox" md="md-checkbox"></ion-icon></span>
        </ion-title>
      </ion-col>
    </ion-row>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <h6 class="bill_details_heading">{{translate.billDetailsPage[1][translate.selectedlanguage]}}</h6>
  <ion-card>
    <ion-card-content>
      <ion-row class="card_row_header">
        <ion-col col-8 class="left-column-6">
          <span class="card_row_header_span">{{translate.billDetailsPage[2][translate.selectedlanguage]}}</span>
        </ion-col>
        <ion-col col-4 class="right-column-6">
          <span class="card_row_header_span_arrow_down" (click)="showTransactionDetails()">
            <ion-icon ios="ios-arrow-down-outline" md="ios-arrow-down-outline" *ngIf="transactionDetails"></ion-icon>
            <ion-icon ios="ios-arrow-up" md="ios-arrow-up" *ngIf="!transactionDetails"></ion-icon>
          </span>
          <span class="card_row_header_span_add_button" (click)="updateTransaction()">
            <ion-icon ios="ios-create" md="ios-create"></ion-icon>
          </span>
        </ion-col>
      </ion-row>
      <div [hidden]="transactionDetails">
      <ion-row class="card_row_items_details">
        <ion-col col-6 class="left-column-6">
          <span class="card_row_items_details_span">{{translate.billDetailsPage[3][translate.selectedlanguage]}}</span>
        </ion-col>
        <ion-col col-6 class="right-column-6">
          <span class="card_row_items_details_span_2">{{(billDetails.supplyType=='O')?'Outward':'Inward'}}-Supply</span>
        </ion-col>
      </ion-row>
      <ion-row class="card_row_items_details">
        <ion-col col-6 class="left-column-6">
          <span class="card_row_items_details_span">{{translate.billDetailsPage[4][translate.selectedlanguage]}}</span>
        </ion-col>
        <ion-col col-6 class="right-column-6">
          <span class="card_row_items_details_span_2">{{billDetails.subSupplyType}}</span>
        </ion-col>
      </ion-row>
      <ion-row class="card_row_items_details">
        <ion-col col-6 class="left-column-6">
          <span class="card_row_items_details_span">{{translate.billDetailsPage[5][translate.selectedlanguage]}}</span>
        </ion-col>
        <ion-col col-6 class="right-column-6">
          <span class="card_row_items_details_span_2">{{billDetails.docType}}</span>
        </ion-col>
      </ion-row>
      <ion-row class="card_row_items_details">
        <ion-col col-6 class="left-column-6">
          <span class="card_row_items_details_span">{{translate.billDetailsPage[6][translate.selectedlanguage]}}</span>
        </ion-col>
        <ion-col col-6 class="right-column-6">
          <span class="card_row_items_details_span_2">{{billDetails.docNo}}</span>
        </ion-col>
      </ion-row>
      <ion-row class="card_row_items_details">
        <ion-col col-6 class="left-column-6">
          <span class="card_row_items_details_span">{{translate.billDetailsPage[7][translate.selectedlanguage]}}</span>
        </ion-col>
        <ion-col col-6 class="right-column-6">
          <span class="card_row_items_details_span_2">{{billDetails.docDate}}</span>
        </ion-col>
      </ion-row>
      </div>
    </ion-card-content>
  </ion-card>
  <ion-card>
    <ion-card-content>
      <ion-row class="card_row_header">
        <ion-col col-8 class="left-column-6">
          <span class="card_row_header_span">{{translate.billDetailsPage[8][translate.selectedlanguage]}}</span>
        </ion-col>
        <ion-col col-4 class="right-column-6">
          <span class="card_row_header_span_arrow_down" (click)="showBillFromDetails()">
            <ion-icon ios="ios-arrow-down-outline" md="ios-arrow-down-outline" *ngIf="billFromDetails"></ion-icon>
            <ion-icon ios="ios-arrow-up" md="ios-arrow-up" *ngIf="!billFromDetails"></ion-icon>
          </span>
          <span class="card_row_header_span_add_button" (click)="updateBillFrom()">
            <ion-icon ios="ios-create" md="ios-create"></ion-icon>
          </span>
        </ion-col>
      </ion-row>
      <div [hidden]="billFromDetails">
      <ion-row class="card_row_bill_details">
        <ion-col col-6 class="left-column-6">
          <span class="card_row_bill_details_span">{{translate.billDetailsPage[9][translate.selectedlanguage]}}<br> {{billDetails.fromTrdName}}</span>
        </ion-col>
      </ion-row>
      <ion-row class="card_row_bill_details">
        <ion-col col-6 class="left-column-6" style="border-right: 1px solid #c79999;">
          <span class="card_row_bill_details_span">GSTIN<br> {{billDetails.fromGstin}}</span>
        </ion-col>
        <ion-col col-6 class="right-column-6" style="text-align:left;">
          <span class="card_row_bill_details_span">{{translate.billDetailsPage[10][translate.selectedlanguage]}}<br> {{billDetails.fromStateName}}</span>
        </ion-col>
      </ion-row>
      <ion-row class="card_row_bill_details" style="background:#f5eded;">
          <ion-col col-6 class="left-column-6">
            <span class="dispatch_from">{{translate.billDetailsPage[11][translate.selectedlanguage]}}</span>
          </ion-col>
      </ion-row>
      <ion-row class="card_row_bill_details">
        <ion-col col-6 class="left-column-6">
          <span class="card_row_bill_details_span">{{translate.billDetailsPage[12][translate.selectedlanguage]}}<br> {{billDetails.fromAddr1}}</span>
        </ion-col>
      </ion-row>
      <ion-row class="card_row_bill_details">
        <ion-col col-6 class="left-column-6">
          <span class="card_row_bill_details_span">{{translate.billDetailsPage[13][translate.selectedlanguage]}}<br> {{billDetails.fromAddr2}}</span>
        </ion-col>
      </ion-row>
      <ion-row class="card_row_bill_details">
        <ion-col col-6 class="left-column-6">
          <span class="card_row_bill_details_span">{{translate.billDetailsPage[14][translate.selectedlanguage]}}<br> {{billDetails.fromPlace}}</span>
        </ion-col>
      </ion-row>
      <ion-row class="card_row_bill_details">
        <ion-col col-6 class="left-column-6" style="border-right: 1px solid #c79999;">
          <span class="card_row_bill_details_span">{{translate.billDetailsPage[15][translate.selectedlanguage]}}<br> {{billDetails.fromPincode}}</span>
        </ion-col>
        <ion-col col-6 class="right-column-6" style="text-align:left;">
          <span class="card_row_bill_details_span">{{translate.billDetailsPage[16][translate.selectedlanguage]}}<br> {{billDetails.fromStateName}}</span>
        </ion-col>
      </ion-row>
    </div>
    </ion-card-content>
  </ion-card>
  <ion-card>
    <ion-card-content>
        <ion-row class="card_row_header">
          <ion-col col-8 class="left-column-6">
            <span class="card_row_header_span">{{translate.billDetailsPage[17][translate.selectedlanguage]}}</span>
          </ion-col>
          <ion-col col-4 class="right-column-6">
            <span class="card_row_header_span_arrow_down" (click)="showBillToDetails()">
              <ion-icon ios="ios-arrow-down-outline" md="ios-arrow-down-outline" *ngIf="billToDetails"></ion-icon>
              <ion-icon ios="ios-arrow-up" md="ios-arrow-up" *ngIf="!billToDetails"></ion-icon>
            </span>
            <span class="card_row_header_span_add_button" (click)="updateBillTo()">
              <ion-icon ios="ios-create" md="ios-create"></ion-icon>
            </span>
          </ion-col>
        </ion-row>
        <div [hidden]="billToDetails">
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_bill_details_span">{{translate.billDetailsPage[18][translate.selectedlanguage]}}<br> {{billDetails.toTrdName}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6" style="border-right: 1px solid #c79999;">
            <span class="card_row_bill_details_span">GSTIN<br> {{billDetails.toGstin}}</span>
          </ion-col>
          <ion-col col-6 class="right-column-6" style="text-align:left;">
            <span class="card_row_bill_details_span">{{translate.billDetailsPage[19][translate.selectedlanguage]}}<br> {{billDetails.toStateName}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details" style="background:#f5eded;">
            <ion-col col-6 class="left-column-6">
              <span class="dispatch_from">{{translate.billDetailsPage[20][translate.selectedlanguage]}}</span>
            </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_bill_details_span">{{translate.billDetailsPage[21][translate.selectedlanguage]}}<br> {{billDetails.toAddr1}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_bill_details_span">{{translate.billDetailsPage[22][translate.selectedlanguage]}}<br> {{billDetails.toAddr2}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_bill_details_span">{{translate.billDetailsPage[23][translate.selectedlanguage]}}<br> {{billDetails.toPlace}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6" style="border-right: 1px solid #c79999;">
            <span class="card_row_bill_details_span">{{translate.billDetailsPage[24][translate.selectedlanguage]}}<br> {{billDetails.toPincode}}</span>
          </ion-col>
          <ion-col col-6 class="right-column-6" style="text-align:left;">
            <span class="card_row_bill_details_span">{{translate.billDetailsPage[25][translate.selectedlanguage]}}<br> {{billDetails.toStateName}}</span>
          </ion-col>
        </ion-row>
        </div>
    </ion-card-content>
  </ion-card>
  <ion-card>
    <ion-card-content>
      <ion-row class="card_row_header">
        <ion-col col-8 class="left-column-6">
          <span class="card_row_header_span">{{translate.billDetailsPage[26][translate.selectedlanguage]}}</span>
        </ion-col>
        <ion-col col-4 class="right-column-6">
          <span class="card_row_header_span_arrow_down" (click)="showItemDetails()">
            <ion-icon ios="ios-arrow-down-outline" md="ios-arrow-down-outline" *ngIf="itemsDetails"></ion-icon>
            <ion-icon ios="ios-arrow-up" md="ios-arrow-up" *ngIf="!itemsDetails"></ion-icon>
          </span>
          <span class="card_row_header_span_add_button" (click)="addItem()">
            <ion-icon ios="ios-add-circle" md="md-add-circle"></ion-icon>
          </span>
        </ion-col>
      </ion-row>
    <div [hidden]="itemsDetails">
      <div *ngFor="let item of itemsList; let i = index;">
        <ion-row class="card_row_bill_details" style="background:#f5eded;">
          <ion-col col-7 class="left-col-6">
            <span class="dispatch_from">{{i+1}}. {{item.description}}</span>
          </ion-col>
          <ion-col col-5 class="right-col-6" text-right>
            <span class="card_row_header_span_arrow_down" (click)="deleteItem(item)">
              <ion-icon ios="ios-trash" md="ios-trash"></ion-icon>
            </span>
            <span class="card_row_header_span_add_button" (click)="updateItem(item)">
              <ion-icon ios="ios-create" md="ios-create"></ion-icon>
            </span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_items">
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">{{translate.billDetailsPage[27][translate.selectedlanguage]}}<br> {{item.description}}</span>
          </ion-col>
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">{{translate.billDetailsPage[46][translate.selectedlanguage]}}<br> {{item.hsnSac}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_items">
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">{{translate.billDetailsPage[28][translate.selectedlanguage]}}<br> {{item.qty}}</span>
          </ion-col>
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">{{translate.billDetailsPage[29][translate.selectedlanguage]}}<br> {{item.unitofmeasurement}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_items">
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">{{translate.billDetailsPage[30][translate.selectedlanguage]}}(&#x20B9;)<br> {{item.rate}}</span>
          </ion-col>
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">{{translate.billDetailsPage[31][translate.selectedlanguage]}}<br> {{item.taxablevalue1}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_items">
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">{{translate.billDetailsPage[32][translate.selectedlanguage]}}<br> {{item.taxablerate}}</span>
          </ion-col>
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">IGST<br> {{item.igst}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_items">
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">CGST<br> {{item.cgst}}</span>
          </ion-col>
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">SGST<br> {{item.sgst}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_items">
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">{{translate.billDetailsPage[44][translate.selectedlanguage]}}(%)<br> {{item.cessrate}}</span>
          </ion-col>
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">{{translate.billDetailsPage[45][translate.selectedlanguage]}}(&#x20B9;)<br> {{item.cessAmt}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_items">
          <ion-col col-12 class="card_row_items_col" style="text-align:right;">
            <span class="card_row_item_details_span">{{translate.billDetailsPage[33][translate.selectedlanguage]}}<br> {{item.total}}</span>
          </ion-col>
        </ion-row>
      </div>
    </div>
    </ion-card-content>
  </ion-card>
  <h6 class="bill_details_heading">{{translate.billDetailsPage[34][translate.selectedlanguage]}}</h6>
  <ion-card>
    <ion-card-content>
      <ion-row class="card_row_header">
        <ion-col col-8 class="left-column-6">
          <span class="card_row_header_span">{{translate.billDetailsPage[35][translate.selectedlanguage]}}</span>
        </ion-col>
        <ion-col col-4 class="right-column-6">
          <span class="card_row_header_span_arrow_down" (click)="showTransportDetails()">
            <ion-icon ios="ios-arrow-down-outline" md="ios-arrow-down-outline" *ngIf="transportDetails"></ion-icon>
            <ion-icon ios="ios-arrow-up" md="ios-arrow-up" *ngIf="!transportDetails"></ion-icon>
          </span>
          <span class="card_row_header_span_add_button" (click)="updateTransport()">
            <ion-icon ios="ios-create" md="ios-create"></ion-icon>
          </span>
        </ion-col>
      </ion-row>
      <div [hidden]="transportDetails">
      <ion-row class="card_row_bill_details">
        <ion-col col-12 class="left-column-6">
          <span class="card_row_bill_details_span">{{translate.billDetailsPage[36][translate.selectedlanguage]}}<br> {{billDetails.transporterName}}</span>
        </ion-col>
      </ion-row>
      <ion-row class="card_row_items">
        <ion-col col-6 class="card_row_items_col">
          <span class="card_row_item_details_span">{{translate.billDetailsPage[37][translate.selectedlanguage]}}<br> {{billDetails.userGstin}}</span>
        </ion-col>
        <ion-col col-6 class="card_row_items_col">
          <span class="card_row_item_details_span">{{translate.billDetailsPage[38][translate.selectedlanguage]}}<br> {{billDetails.transDistance}}</span>
        </ion-col>
      </ion-row>
      <ion-row class="card_row_items">
        <ion-col col-6 class="card_row_items_col">
          <span class="card_row_item_details_span">{{translate.billDetailsPage[39][translate.selectedlanguage]}}<br> {{billDetails.transModeDesc}}</span>
        </ion-col>
        <ion-col col-6 class="card_row_items_col">
          <span class="card_row_item_details_span">{{translate.billDetailsPage[40][translate.selectedlanguage]}}<br> {{billDetails.transDocDate}}</span>
        </ion-col>
      </ion-row>
      <ion-row class="card_row_items">
        <ion-col col-6 class="card_row_items_col">
          <span class="card_row_item_details_span">{{translate.billDetailsPage[41][translate.selectedlanguage]}}<br> {{billDetails.vehicleNo}}</span>
        </ion-col>
        <ion-col col-6 class="card_row_items_col">
          <span class="card_row_item_details_span">{{translate.billDetailsPage[42][translate.selectedlanguage]}}<br> {{billDetails.transDocNo}}</span>
        </ion-col>
      </ion-row>
      <ion-row class="card_row_bill_details">
        <ion-col col-6 class="left-column-6">
          <span class="card_row_bill_details_span">{{translate.billDetailsPage[43][translate.selectedlanguage]}}<br> {{(billDetails.vehicleType=='R')?'Regular':'Over Dimensional Cargo'}}</span>
        </ion-col>
      </ion-row>
      </div>
    </ion-card-content>
  </ion-card>
</ion-content>
